dOCR
API ReferenceCaptures

Retrieve a capture

Fetch a single capture by id, looked up across screenshots and uploaded documents.

GET
/captures/{id}
AuthorizationBearer <token>

API key as a Bearer token: Authorization: Bearer docr_sk_…

In: header

Path Parameters

idstring

The capture id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.docr.dev/api/v1/captures/string"
{
  "capture": {
    "id": "string",
    "orgId": "string",
    "kind": "screenshot",
    "status": "pending",
    "format": "string",
    "url": "string",
    "sourceUrl": "string",
    "width": 0,
    "height": 0,
    "pageCount": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Invalid or revoked API key"
}
{
  "error": "IP 203.0.113.4 is not whitelisted"
}
{
  "error": "string"
}